import 'package:app/model/legelState.dart';
import 'package:flutter/cupertino.dart';

class LegalStatusState extends ChangeNotifier {
  LegalState _legalState = LegalState.unknown;

  LegalState get getLegalState => _legalState;

  set setInSightOfDisallowedAreas(bool isInSight) {
    _legalState = LegalState.disallowedRegion;
    notifyListeners();
  }

  set setIsInDisallowedTimeRanges(bool isInDisallowedTime) {
    _legalState = LegalState.disallowedTime;
    notifyListeners();
  }
}